classification
Title: add conversion table to time module docs
Type: enhancement Stage:
Components: Documentation Versions: Python 3.1, Python 2.6
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: georg.brandl Nosy List: cvrebert, georg.brandl
Priority: normal Keywords:

Created on 2009-02-25 11:24 by cvrebert, last changed 2009-09-04 11:27 by georg.brandl. This issue is now closed.

Files
File name Uploaded Description Edit
table.rst cvrebert, 2009-02-25 11:24 the table in Sphinx/RST format
table.rst cvrebert, 2009-08-22 11:01 updated version
Messages (4)
msg82700 - (view) Author: Chris Rebert (cvrebert) * Date: 2009-02-25 11:24
I would like the offer the table in the attached file for addition to
the 'time' module documentation so as to provide a quick overview of how
to convert between the various time representations. As it currently
stands (at least on the current public version of the docs), to find the
same information, one must read through several nonadjacent prose
function descriptions, which can get tiring when one has to look up the
conversions repeatedly when writing a time-intensive program.

I'm new at the documentation format, but I think my submission is
reasonably correctly formatted; however, I don't have Sphinx to test
with, so I can't be 100% sure.
msg82843 - (view) Author: Georg Brandl (georg.brandl) * (Python committer) Date: 2009-02-27 16:59
Thanks, added the table in r70026.
msg91860 - (view) Author: Chris Rebert (cvrebert) * Date: 2009-08-22 11:01
Added string conversions to table for good measure.
msg92249 - (view) Author: Georg Brandl (georg.brandl) * (Python committer) Date: 2009-09-04 11:27
I don't think that is too helpful; for one thing, the description of
strptime and strftime is too vague.
History
Date User Action Args
2009-09-04 11:27:51georg.brandlsetstatus: open -> closed

messages: + msg92249
2009-08-22 11:01:56cvrebertsetstatus: closed -> open
files: + table.rst
messages: + msg91860
2009-02-27 16:59:18georg.brandlsetstatus: open -> closed
resolution: fixed
messages: + msg82843
2009-02-25 11:24:02cvrebertcreate